package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;
import org.neo4j.ogm.annotation.Relationship;


@Setter
@Getter
//@EqualsAndHashCode(callSuper = false)
@NodeEntity(label = "实验室检查危急值")
public class LISCritical extends BaseNode  {

    @Property(name = "高危急值")
    private String maxval;

    @Property(name = "低危急值")
    private String minval;

    @Property(name = "单位")
    private String unit;

    @Property(name = "年龄")
    private String age;

    @Property(name = "危急值范围")
    private String range;

    @Relationship(type="实验室检查名称相关实验室检查危急值", direction = Relationship.INCOMING)
    private LisName lisname;

}


