package com.diagbot.repository;

import com.diagbot.entity.node.PacsName;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface PacsNameRepository extends Neo4jRepository<PacsName, Long> {

    List<PacsName> findByNameIs(String name);

    List<PacsName> findByNameContaining(String name);

    List<PacsName> findByNameIn(List<String> names);
}

