package com.diagbot.entity.node;

import com.diagbot.biz.push.entity.Pacs;
import com.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
@NodeEntity(label = "疾病")
public class Disease extends BaseNode  {


	@Relationship(type = "医保手术和操作名称禁忌疾病", direction = Relationship.INCOMING)
	private Set<YiBaoOperationName> yibaooperationnames = new HashSet<>();

	@Relationship(type = "辅助检查名称禁忌疾病", direction = Relationship.INCOMING)
	private Set<Pacs> pacss = new HashSet<>();

	@Relationship(type = "联合项目禁忌疾病", direction = Relationship.INCOMING)
	private Set<CombiOperation> combioperations = new HashSet<>();

	@Relationship(type = "辅助检查名称子项目名称禁忌疾病", direction = Relationship.INCOMING)
	private Set<PacsNameSubName> pacsnamesubnames = new HashSet<>();

	@Relationship(type = "辅助检查子项目名称禁忌疾病", direction = Relationship.INCOMING)
	private Set<PacsSubName> pacssubnames = new HashSet<>();

}