package com.diagbot.facade;

import com.diagbot.dto.IndicationDTO;
import com.diagbot.dto.OtherTipNeoDTO;
import com.diagbot.dto.WordCrfDTO;
import com.diagbot.process.OtherTipProcess;
import com.diagbot.vo.IndicationPushVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 其他提示facade
 * @author: zhoutg
 * @time: 2018/8/6 9:11
 */
@Component
public class OtherTipFacade {

    @Autowired
    NeoFacade neoFacade;
    @Autowired
    OtherTipProcess otherTipProcess;
    @Autowired
    CommonFacade commonFacade;

    /**
     * 其他提示
     *
     * @param
     * @return
     */
    public void otherTipFac(IndicationPushVO indicationPushVO, WordCrfDTO wordCrfDTO, IndicationDTO res) {
        List<OtherTipNeoDTO> otherTipNeoDTOList = new ArrayList<>();
        // 其他提示——化验
        // // TODO 测试数据开始
        // OtherTipNeoDTO otherTipNeoDTO = new OtherTipNeoDTO();
        // otherTipNeoDTO.setName("血常规");
        // otherTipNeoDTO.setDetailName("血葡萄糖测定");
        // otherTipNeoDTO.setValue(20.0D);
        // List<NodeNeoDTO> factor = new ArrayList<>();
        // NodeNeoDTO nodeNeoDTO = new NodeNeoDTO();
        // // otherTipNeoDTO.setOtherValue("阳性");
        // nodeNeoDTO.setName("急性胰腺炎");
        // nodeNeoDTO.setTermtype("诊断");
        // factor.add(nodeNeoDTO);
        // otherTipNeoDTO.setFactor(factor);
        // otherTipNeoDTOList.add(otherTipNeoDTO);
        //
        // OtherTipNeoDTO otherTipNeoDTO2 = new OtherTipNeoDTO();
        // otherTipNeoDTO2.setName("血生化检查");
        // otherTipNeoDTO2.setDetailName("血肌酐测定");
        // otherTipNeoDTO2.setValue(200.0);
        // List<NodeNeoDTO> factor2 = new ArrayList<>();
        // NodeNeoDTO nodeNeoDTO2 = new NodeNeoDTO();
        // nodeNeoDTO2.setName("坦洛新");
        // nodeNeoDTO2.setTermtype("药品");
        // factor2.add(nodeNeoDTO2);
        // otherTipNeoDTO2.setFactor(factor2);
        // otherTipNeoDTOList.add(otherTipNeoDTO2);
        // // TODO 测试数据结束
        otherTipProcess.processLis(otherTipNeoDTOList, wordCrfDTO, res);
    }

}
