package com.diagbot.repository;

import com.diagbot.entity.node.LisSet;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface LisSetRepository extends Neo4jRepository<LisSet, Long> {

    List<LisSet> findByNameIs(String name);

    List<LisSet> findByNameContaining(String name);

    @Query("MATCH (n:实验室检查套餐) RETURN DISTINCT(KEYS(n))")
    List<List<String>> getKeys();

    List<LisSet> findByNameIn(List<String> names);
}

